Subject: [v6ops] [Technical Errata Reported] RFC5375 (3309)

From: RFC Errata System <[email-masked]>
Date: Mon, 6 Aug 2012 07:28:29 -0700 (PDT)

The following errata report has been submitted for RFC5375,
"IPv6 Unicast Address Assignment Considerations".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5375&eid=3309

--------------------------------------
Type: Technical
Reported by: Lívio Zanol Pereira de Souza Puppim <[email-masked]>

Section: B.2.2

Original Text
-------------
 B.2.2. /127 Addresses

   The usage of the /127 addresses, the equivalent of IPv4's RFC 3021
   [RFC3021], is not valid and should be strongly discouraged as
   documented in RFC 3627 [RFC3627].

Corrected Text
--------------
 B.2.2. /127 Addresses

   The usage of the /127 addresses, the equivalent of IPv4's RFC 3021
   [RFC3021], is valid as stated in RFC 6164 [RFC 6164].

Notes
-----
Maybe just remove the section B.2.2?

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5375 (draft-ietf-v6ops-addcon-10)
--------------------------------------
Title               : IPv6 Unicast Address Assignment Considerations
Publication Date    : December 2008
Author(s)           : G. Van de Velde, C. Popoviciu, T. Chown, O. Bonness, C. Hahn
Category            : INFORMATIONAL
Source              : IPv6 Operations
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Mon, 6 Aug 2012 17:28:09 +0000

My perception: we should accept the erratum. Agree?

> "IPv6 Unicast Address Assignment Considerations".

----------------------------------------------------
The ignorance of how to use new knowledge stockpiles exponentially. 
   - Marshall McLuhan

---

From: joel jaeggli <[email-masked]>
Date: Mon, 06 Aug 2012 19:04:54 -0700

> My perception: we should accept the erratum. Agree?
so my interpretation.

  3627 was moved to historic by 6547. 6164 allows the use of /127s...

5375 maybe wrong now but the reference to 3021 is temporally correct.

so yeah I guess.

---

From: "Gunter Van de Velde (gvandeve)" <[email-masked]>
Date: Tue, 7 Aug 2012 08:24:28 +0000

Yes, agree.
Anything the authors need to do on this?

G/

-----Original Message-----
From: joel jaeggli [mailto:[email-masked]] 
Sent: 07 August 2012 04:05
To: Fred Baker (fred)
Cc: [email-masked]; [email-masked]; Tim Chown; Olaf Bonness; [email-masked]; Benoit Claise (bclaise); [email-masked]; v6ops v6ops WG; Ron Bonica
Subject: Re: [Technical Errata Reported] RFC5375 (3309)

so my interpretation.

so yeah I guess.

  On Aug 6, 2012, at 7:28 AM, RFC Errata System wrote:
>> use "Reply All" to discuss whether it should be verified or rejected. 
>> When a decision is reached, the verifying party (IESG) can log in to 
>> change the status and edit the report, if necessary.
>>

---

From: <[email-masked]>
Date: Tue, 7 Aug 2012 12:36:18 +0200

Yes, agreed. This looks reasonable.

thanks,
Christian

<><><><><><><><><><><><><><>
Christian Hahn

T-Systems International GmbH
Telekom IT
Systems Integration Telekom IT
Holzhauser Straße 4-8, 13509 Berlin
Tel  +49 30 -8353 24212
Mobile	+49 170 7641791
E-Mail: [email-masked]
Internet: <<http://www.t-systems.com>>
----------------------------------

>From: Fred Baker (fred) [mailto:[email-masked]] 
>Sent: Monday, August 06, 2012 7:28 PM
>To: [email-masked]; [email-masked]; Tim Chown; Olaf 
>Bonness; Hahn, Christian; Benoit Claise (bclaise); joel 
>jaeggli; [email-masked]; v6ops v6ops WG
>Cc: Ron Bonica
>Subject: ***CAUTION_Invalid_Signature*** Re: [Technical Errata 
>Reported] RFC5375 (3309)
>
>rejected.

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Tue, 7 Aug 2012 15:23:47 +0000

We agree that this erratum is valid.

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 07 Aug 2012 18:59:01 +0100

Wait a minute.

How can this be described as an error in 5375? 5375 was not wrong when
published.

The error was in 6164, which failed to formally update 5375.

Surely this is a "hold for update" not "verified".

Regards
   Brian

On 07/08/2012 16:23, Fred Baker (fred) wrote:
> ------------------------------------------------------------------------
> 
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops

---

From: Ronald Bonica <[email-masked]>
Date: Tue, 7 Aug 2012 14:36:05 -0400

Brian,

I agree that Errata 3309 should be put into the "hold for update" state, because RFC 5375 was not wrong when it was published. 

However, we need to figure out what to do about RFC 6164. I dimly recall a conversation about this when RFC 6164 was published. The consensus was that RFC 6164 trumps RFC 5375 because the former is on the Standards Track while the later is only INFORMATIONAL. So, RFC 6164 doesn't need to update RFC 5375.

Looking back on it, this argument is weak. How would the reader of 5375 know that RFC 6164 exists if it weren't for the update information in the metadata?

I will check with the RFC editor to see if it is OK to add an UPDATE in an errata.

                                               Ron

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Brian E Carpenter
> Sent: Tuesday, August 07, 2012 1:59 PM
> To: Fred Baker (fred)
> Cc: <[email-masked]>; <[email-masked]>;
> <[email-masked]>; <[email-masked]>;
> <[email-masked]>; <[email-masked]>; RFC Errata System
> Subject: Re: [v6ops] [Technical Errata Reported] RFC5375 (3309)
> 
> Wait a minute.
> 
> > ---------------------------------------------------------------------
> -
> > --
> >

---

From: Alice Russo <[email-masked]>
Date: Tue, 7 Aug 2012 12:54:56 -0700

Ron,

> I will check with the RFC editor to see if it is OK to add an UPDATE in an errata.

Please see this IESG statement: http://www.ietf.org/iesg/statement/rfc-metadata-errata.html.  If there is an errata report regarding the metadata of an RFC *and* the verifying party marks it as Verified, the RFC Editor will update the RFC's metadata accordingly (which appears in the RFC Index, info page, etc.).

Thank you.
RFC Editor/ar

---

From: Livio Zanol Puppim <[email-masked]>
Date: Tue, 7 Aug 2012 20:07:32 -0300

Hello guys.

Just to give you more information:
- RFC 5375 state that you should not use /127 address and makes a reference
to RFC 3627.

- RFC 6177 came out as a standard, and in section 4 states that RFCs 3627
and 5375 are potentially wrong, but did not make any recommendation about
it.

- RFC 6547 was published to overcome this error, and proposes that RFC 3627
should move to historic status, updating the RFC 6177, but again, did not
mention RFC 5375.

- An e-mail has been sent to the WG of the RFC 6547, but no answers were
given. (http://www.ietf.org/mail-archive/web/ipv6/current/msg16203.html)

- I've sent an erratum to RFC 5375 about this, which you guys are
discussing.

So, what to do next?
Publish an erratum in RFC 5375? Publish a RFC 6547-bis? Publish an update
to RFC 5375?

I really don't know. As I've stated in an e-mail to rfc-interest mailing
list, I'm just a reader and saw this /127 text while reading RFC 5375.

The only thing that I'm sure, is that other readers of RFC 5375 would not
want to know that the recommendation about /127, at B.2.2 sector is
misguided after they have elaborated an address assignment project.
Sometimes, you only read the text, and do not click on every RFC linked in
it.

I have full confidence in the WG, and I'm sure you will find the right
solution.

Thank you for your time. Best regards,

Lívio Zanol Puppim

2012/8/7 Ronald Bonica <[email-masked]>

> Hi Alice,
>
> Thanks for this reminder! I will consult with the WG and IESG to make sure
> that nobody objects.
>
>                    Ron
>
> > From: Alice Russo [mailto:[email-masked]]
> > Sent: Tuesday, August 07, 2012 3:55 PM
> > To: Ronald Bonica
> > Cc: Brian E Carpenter; Fred Baker (fred); <[email-masked]>;
> > <[email-masked]>; <[email-masked]>;
> > <[email-masked]>; <[email-masked]>; <[email-masked]>;
> > RFC Errata System
> > Please see this IESG statement: http://www.ietf.org/iesg/statement/rfc-
> > metadata-errata.html.  If there is an errata report regarding the
> > metadata of an RFC *and* the verifying party marks it as Verified, the
> > RFC Editor will update the RFC's metadata accordingly (which appears in
> > the RFC Index, info page, etc.).
> >
> > Thank you.
> > RFC Editor/ar
> >
> > > I agree that Errata 3309 should be put into the "hold for update"
> > state, because RFC 5375 was not wrong when it was published.
> > >
> > > However, we need to figure out what to do about RFC 6164. I dimly
> > recall a conversation about this when RFC 6164 was published. The
> > consensus was that RFC 6164 trumps RFC 5375 because the former is on
> > the Standards Track while the later is only INFORMATIONAL. So, RFC 6164
> > doesn't need to update RFC 5375.
> > >
> > > Looking back on it, this argument is weak. How would the reader of
> > 5375 know that RFC 6164 exists if it weren't for the update information
> > in the metadata?
> > >
> > >> From: [email-masked] [mailto:[email-masked]] On
> > >> Behalf Of Brian E Carpenter
> > >> How can this be described as an error in 5375? 5375 was not wrong
> > >> when published.
> > >>
> > >>>> When a decision is reached, the verifying party (IESG) can log in
> > >>>> to change the status and edit the report, if necessary.
> > >>>>
> > >>> -------------------------------------------------------------------
> > -
> > >>> -
> > >> -
> > >>> --
> > >>>

--

---

From: Ronald Bonica <[email-masked]>
Date: Tue, 7 Aug 2012 16:02:46 -0400

Hi Alice,

Thanks for this reminder! I will consult with the WG and IESG to make sure that nobody objects.

                   Ron

---

From: Randy Bush <[email-masked]>
Date: Tue, 07 Aug 2012 16:26:57 -0700

>> "IPv6 Unicast Address Assignment Considerations".

this is not an erratum, it is revisionism.  this way lies madness.
there are thousands of older docs which have been superseded in some
way.  don't start on this path.

i am sure we have better things to do with our small bit of time on this
earth.

randy

---

From: SM <[email-masked]>
Date: Tue, 07 Aug 2012 20:41:41 -0700

>Surely this is a "hold for update" not "verified".

I don't think that the erratum fits as verified.  RFC 5375 was published in
December 2008.  RFC 6164 was published in April 2011.  RFC 5375 was 
correct at the time of publication.  I suggest leaving it as is.

Regards,
-sm

---

From: SM <[email-masked]>
Date: Wed, 08 Aug 2012 11:41:03 -0700

Hi Gunter,
At 02:35 08-08-2012, Gunter Van de Velde (gvandeve) wrote:
>One of the most common questions people making NW design ask 
>themselves is: What for IPv6 prefix will I place on my p2p links.
>Now exactly that is now wrong in the RFC5375.
>
>Maybe it is not an Errata as the RFC was correct at time of 
>publishing... it for sure is wrong right now.
>
>If possible I would like to see the rfc updated with this 
>significant address related change.

You can submit a draft and see whether v6ops can adopt it.  I suggest 
talking to the WG chairs first.  The document can mark RFC 5375 as 
obsolete.  The update would have to include other changes, e.g.  RFC 
3177 is obsolete.

Regards,
-sm

---

From: Livio Zanol Puppim <[email-masked]>
Date: Wed, 8 Aug 2012 13:46:27 -0300

Ronald,

As gunter, I also do not know enough about the IETF processing
methodologies, but, as long as there is an update reference in RFC 5375
linking to RFC 6164, I think this will do the job.

Reading the "IESG Processing of RFC Errata for the IETF Stream" (
http://www.ietf.org/iesg/statement/errata-processing.html) I have
encountered some information that could guide the group decision:

"(...) Errata are meant to fix "bugs" in the specification and should not
be used to change what the community meant when it approved the RFC

...
Guidelines for review are:

   1. Only errors that could cause implementation or deployment problems or
   significant confusion should be Approved.

(...)"

So, in my understanding:
- This does not fix a 'bug' in  the RFC, since it was published correctly
as said by Brain.
- The /127 information in section B.2.2 of RFC 5375 is wrong and
definatelly causes *significant confusion* as stated in the guideline 1
above.

I think that the best solution for this situation is what you're proposing.
May I do something now? Do I need to submit a new errata to RFC 6164?

Best Regards,
Livio Zanol Puppim

2012/8/8 Ronald Bonica <[email-masked]>

> Livo,****
>
> ** **
>
> RFC 6164 speaks directly to the /127 issue. So, it seems that 6164 should
> have updated 5375. If we issue an errata against 6164 that causes 6164 to
> update 5375, would that fix the problem?****
>
> ** **
>
>
>                                                                                    Ron
> ****
>
> ** **
>
> ** **
>
> *From:* Livio Zanol Puppim [mailto:[email-masked]]
> *Sent:* Tuesday, August 07, 2012 7:08 PM
> *To:* Ronald Bonica
> *Cc:* Alice Russo; Brian E Carpenter; Fred Baker (fred); <[email-masked]>;
> <[email-masked]>; <[email-masked]>; <[email-masked]>;
> <[email-masked]>; RFC Errata System
>
> *Subject:* Re: [v6ops] [Technical Errata Reported] RFC5375 (3309)****
>
> ** **
>
> Hello guys.****
>
> ** **
>
> Just to give you more information:****
>
> - RFC 5375 state that you should not use /127 address and makes a
> reference to RFC 3627.****
>
> ** **
>
> it.****
> ** **
> - RFC 6547 was published to overcome this error, and proposes that RFC
> 3627 should move to historic status, updating the RFC 6177, but again, did
> not mention RFC 5375.****
>
> ** **
>
> given. (http://www.ietf.org/mail-archive/web/ipv6/current/msg16203.html)**
> **
>
> ** **
>
> discussing.****
> ** **
> So, what to do next?****
> to RFC 5375?****
> ** **
> list, I'm just a reader and saw this /127 text while reading RFC 5375.****
>
> ** **
>
> it.****
> ** **
> solution.****
> ** **
> Thank you for your time. Best regards,****
>
> ** **
>
> Lívio Zanol Puppim****
>
> ** **
>
> 2012/8/7 Ronald Bonica <[email-masked]>****
>
> Hi Alice,
>
>                    Ron****
> >****
> > >> https://www.ietf.org/mailman/listinfo/v6ops****
>
>
>
> ****
>
> ** **
>
> -- ****
>

-- 
[]'s

Lívio Zanol Puppim

---

From: "Gunter Van de Velde (gvandeve)" <[email-masked]>
Date: Wed, 8 Aug 2012 09:35:59 +0000

One of the most common questions people making NW design ask themselves is: What for IPv6 prefix will I place on my p2p links.
Now exactly that is now wrong in the RFC5375.

Maybe it is not an Errata as the RFC was correct at time of publishing... it for sure is wrong right now.

If possible I would like to see the rfc updated with this significant address related change.

Unfortunately I do not know enough about IETF'ology to identify the best way to get this done.
(Errata, RFC update, new RFC?, RFC5375bis?)

G/

-----Original Message-----
From: SM [mailto:[email-masked]] 
Sent: 08 August 2012 05:42
To: Brian E Carpenter; Fred Baker (fred)
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>; RFC Errata System
Subject: Re: [v6ops] [Technical Errata Reported] RFC5375 (3309)

>Surely this is a "hold for update" not "verified".

I don't think that the erratum fits as verified.  RFC 5375 was published in December 2008.  RFC 6164 was published in April 2011.  RFC 5375 was correct at the time of publication.  I suggest leaving it as is.

Regards,
-sm

---

From: Benoit Claise <[email-masked]>
Date: Wed, 08 Aug 2012 13:00:55 +0200

I just "verified" this one.

Regards, Benoit.

---

From: Ronald Bonica <[email-masked]>
Date: Wed, 8 Aug 2012 09:43:58 -0400

Livo,

RFC 6164 speaks directly to the /127 issue. So, it seems that 6164 should have updated 5375. If we issue an errata against 6164 that causes 6164 to update 5375, would that fix the problem?

                                                                                                                                             Ron

From: Livio Zanol Puppim [mailto:[email-masked]]
Sent: Tuesday, August 07, 2012 7:08 PM
To: Ronald Bonica
Cc: Alice Russo; Brian E Carpenter; Fred Baker (fred); <[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>; RFC Errata System
Subject: Re: [v6ops] [Technical Errata Reported] RFC5375 (3309)

Hello guys.

Just to give you more information:
- RFC 5375 state that you should not use /127 address and makes a reference to RFC 3627.

- RFC 6177 came out as a standard, and in section 4 states that RFCs 3627 and 5375 are potentially wrong, but did not make any recommendation about it.

- RFC 6547 was published to overcome this error, and proposes that RFC 3627 should move to historic status, updating the RFC 6177, but again, did not mention RFC 5375.

- An e-mail has been sent to the WG of the RFC 6547, but no answers were given. (http://www.ietf.org/mail-archive/web/ipv6/current/msg16203.html)

- I've sent an erratum to RFC 5375 about this, which you guys are discussing.

So, what to do next?
Publish an erratum in RFC 5375? Publish a RFC 6547-bis? Publish an update to RFC 5375?

I really don't know. As I've stated in an e-mail to rfc-interest mailing list, I'm just a reader and saw this /127 text while reading RFC 5375.

The only thing that I'm sure, is that other readers of RFC 5375 would not want to know that the recommendation about /127, at B.2.2 sector is misguided after they have elaborated an address assignment project. Sometimes, you only read the text, and do not click on every RFC linked in it.

I have full confidence in the WG, and I'm sure you will find the right solution.

Lívio Zanol Puppim

2012/8/7 Ronald Bonica <[email-masked]<mailto:[email-masked]>>
Hi Alice,

                   Ron

> From: Alice Russo [mailto:[email-masked]<mailto:[email-masked]>]
> Cc: Brian E Carpenter; Fred Baker (fred); <[email-masked]<mailto:[email-masked]>>;
> <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>;
> <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>;
> RFC Errata System
> >> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On
> >> Cc: <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>;
> >> <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>;
> >> <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>; RFC Errata System
> >>>> Reported by: Lívio Zanol Pereira de Souza Puppim
> >>>> <[email-masked]<mailto:[email-masked]>>
> >>>>
> >>>> Section: B.2.2
> >>>>
> >>>> Original Text
> >>>> -------------
> >>>> B.2.2. /127 Addresses
> >>>>
> >>>>
> >>>>
> >>> [email-masked]<mailto:[email-masked]>
> >> [email-masked]<mailto:[email-masked]>

--

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Wed, 8 Aug 2012 16:05:32 +0000

That seems to be a reasonable solution.

On Aug 8, 2012, at 6:43 AM, Ronald Bonica wrote:

Livo,

                                                                                                                                             Ron

From: Livio Zanol Puppim [mailto:[email-masked]]
Sent: Tuesday, August 07, 2012 7:08 PM
To: Ronald Bonica
Cc: Alice Russo; Brian E Carpenter; Fred Baker (fred); <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>; RFC Errata System
Subject: Re: [v6ops] [Technical Errata Reported] RFC5375 (3309)

Hello guys.

So, what to do next?

Lívio Zanol Puppim

                   Ron

--

---

From: Ronald Bonica <[email-masked]>
Date: Wed, 8 Aug 2012 12:31:18 -0400

Livo,

If you file that Errata, and there are no objections from the WG before Friday, I will verify it.

                                                                               Ron

From: Fred Baker (fred) [mailto:[email-masked]]
Sent: Wednesday, August 08, 2012 12:06 PM
To: Ronald Bonica
Cc: Livio Zanol Puppim; Alice Russo; Brian E Carpenter; <[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>; RFC Errata System
Subject: Re: [v6ops] [Technical Errata Reported] RFC5375 (3309)

Livo,

                                                                                                                                             Ron

Hello guys.

So, what to do next?

Lívio Zanol Puppim

                   Ron

--

---

From: Randy Bush <[email-masked]>
Date: Sat, 11 Aug 2012 08:51:47 -0400

> RFC 6164 speaks directly to the /127 issue. So, it seems that 6164
> should have updated 5375.

updating the status of a number of RFCs was 'discussed' extensively at
the time of 6164's process.  what stands is a compromise with all the
warts that come with most compromises.  the astute rfc reader can find
the status/recommendation, but it's not pretty.  it would be interesting
if the community has moved forward enough to be more realistic about
ipv6 addressing.

randy, who still has scars from the TLA wars

---

From: Lorenzo Colitti <[email-masked]>
Date: Mon, 13 Aug 2012 12:20:23 +0900

> if the community has moved forward enough to be more realistic about

Speaking as one of the authors of RFC6164 - I can't remember considering
updating RFC 5375, as I was not aware of any conflict with it. So, at least
on my part, that was an oversight.

Filing an erratum saying "RFC 6164 should have updated RFC 5375, but
didn't" seems like a fine plan to me.